MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027105Community[OCCT] OCCT:Codingpublic2016-01-22 02:282016-04-20 15:50
ReporterEpy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLubuntu 15.10 x64OSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027105: Make code ISO-compliant [-Wpedantic fixes]
DescriptionCompiled current master with gcc -pedantic, going to create a git branch for this issue with for the relevant fixes.
Steps To ReproduceBuild with GCC or CLang with -Wpedantic option
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0027092closedabv Coding - src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang 

-  Notes
(0050035)
git (administrator)
2016-01-22 03:31

Branch CR27105 has been created by Epy.

SHA-1: f9110bbfd8d0814b45ba260390201461f9b3a83d


Detailed log of new commits:

Author: Jacob Abel
Date: Thu Jan 21 16:28:38 2016 -0800

    0027105: Make code ISO-compliant [-Wpedantic fixes]
    
    Remove extra semicolons and correct function prototypes for GCC -pedantic ISO compliance option
(0050041)
abv (manager)
2016-01-22 11:55

Fix reviewed and checked, please integrate (no testing is required)
(0052870)
git (administrator)
2016-04-17 13:27

Branch CR27105 has been deleted by kgv.

SHA-1: f9110bbfd8d0814b45ba260390201461f9b3a83d

- Related Changesets
occt: master a3f6f591
Timestamp: 2016-01-22 00:28:38
Author: abv
Committer: abv
Details ] Diff ]
0027105: Make code ISO-compliant [-Wpedantic fixes]

Remove extra semicolons and correct function prototypes for GCC -pedantic ISO compliance option
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.cxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/Aspect/Aspect_Convert.hxx Diff ] File ]
mod - src/Aspect/Aspect_GradientBackground.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Solid.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.hxx Diff ] File ]
mod - src/Font/Font_BRepFont.cxx Diff ] File ]
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_Interpolate.lxx Diff ] File ]
mod - src/GProp/GProp_SelGProps.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderObject.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/Intf/Intf_InterferencePolygon2d.cxx Diff ] File ]
mod - src/IntSurf/IntSurf_PntOn2S.cxx Diff ] File ]
mod - src/IntTools/IntTools.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectLine.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OSD/OSD_Disk.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/OSD/OSD_SharedLibrary.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_VectorTypes.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-22 02:28 Epy New Issue
2016-01-22 02:28 Epy Assigned To => kgv
2016-01-22 02:37 Epy Relationship added parent of 0027092
2016-01-22 03:31 git Note Added: 0050035
2016-01-22 11:55 abv Status new => resolved
2016-01-22 11:55 abv Steps to Reproduce Updated View Revisions
2016-01-22 11:55 abv Note Added: 0050041
2016-01-22 11:55 abv Assigned To kgv => bugmaster
2016-01-22 11:55 abv Status resolved => reviewed
2016-01-22 12:17 abv Changeset attached => occt master a3f6f591
2016-01-22 12:17 abv Assigned To bugmaster => abv
2016-01-22 12:17 abv Status reviewed => verified
2016-01-22 12:17 abv Resolution open => fixed
2016-01-22 12:19 bugmaster Target Version => 7.0.0
2016-04-17 13:27 git Note Added: 0052870
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker